export default BlacklistsAPI;
declare namespace BlacklistsAPI {
    export { getBlacklistList as getList };
    export { getBlacklist as get };
    export { addBlacklist as add };
    export { updateBlacklist as update };
    export { deleteBlacklist as delete };
    export { getBlacklistsLookup as getLookup };
}
declare function getBlacklistList(params: any): Promise<{
    items: any;
    next: any;
}>;
declare function getBlacklist({ itemId: id }: {
    itemId: any;
}): Promise<any>;
declare function addBlacklist({ itemInstance }: {
    itemInstance: any;
}): Promise<any>;
declare function updateBlacklist({ itemInstance, itemId: id }: {
    itemInstance: any;
    itemId: any;
}): Promise<any>;
declare function deleteBlacklist({ id }: {
    id: any;
}): Promise<any>;
declare function getBlacklistsLookup(params: any): Promise<{
    items: any;
    next: any;
}>;
